/*
 * Copyright 2009 Lari Natri <lari.natri@gmail.com>
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 * 
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 * 
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package compid.data;

import compid.data.tuples.Setting;

/**
 *
 * @author Lari Natri
 */
public interface SettingDAO {

    /**
     * Tries to get a Setting from the database by name
     * @param settingName name of the setting to retrieve
     * @return a Setting object or null, if not found
     * @throws DAOException
     */
    public Setting get(String settingName) throws DAOException;

    /**
     * Updates a Setting tuple if found (by name), otherwise adds it
     * @param setting setting to add/update
     * @throws DAOException
     */
    public void addOrUpdate(Setting setting) throws DAOException;

}
