/*
 * Copyright 2009 Lari Natri <lari.natri@gmail.com>
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 * 
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 * 
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */


package compid.data.db_derby;

import compid.data.*;
import compid.data.tuples.*;


/**
 *
 * @author Lari Natri
 */
public class PeptideDAODerby extends BaseDAODerby implements PeptideDAO {

    private final DAOFactory daoFactory;

    public PeptideDAODerby(DAOFactory daoFactory) {
        this.daoFactory = daoFactory;
    }

    @Override
    public void add(Peptide pep) throws DAOException {

        if (pep.getPrimaryKey()>-1) {
            System.out.println("DEBUG: addPeptide: pept has been added before, no addition");
            return;
        }
        if (pep.getPrimaryKey()==Tuple.PK_ERRORINSERTING) {
            return;
        }
        int pk = insertIfNotExists(pep);
        pep.setPrimaryKey(pk);
    }

    
}
