/*
 * Copyright 2009 Lari Natri <lari.natri@gmail.com>
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 * 
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 * 
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */


package compid.importers;

import net.aavalla.utils.jobpool.parameters.FieldAnnotations;
import net.aavalla.utils.jobpool.parameters.InputFile;
import net.aavalla.utils.jobpool.parameters.validators.InputFileValidator;
import net.aavalla.utils.jobpool.parameters.ParameterCollection;
import compid.report.UniqueDatasetTitleValidator;
import java.io.File;

/**
 *
 * @author Lari Natri
 */

public class DatasetFileImporterParams extends ParameterCollection {
    @FieldAnnotations(name="Input file", validator=InputFileValidator.class)
    private InputFile file = new InputFile("");
    @FieldAnnotations(name="Dataset title", description="The title of the imported dataset (must be a unique name)",validator=UniqueDatasetTitleValidator.class)
    private String name = "";
    @FieldAnnotations(name="Dataset description", description="Optional description")
    private String descr = "";
    @FieldAnnotations(name="Protein database used", description="Name of the protein databased used with this dataset,\noptional")
    private String db = "";

    public DatasetFileImporterParams() {
        this.setHelpID("import");
    }

    public String getName() { return this.name; }
    public String getDescr() { return this.descr; }
    public String getDB() { return this.db; }
    public File getFile() { return this.file; }

}
