/*
 * Copyright 2009 Lari Natri <lari.natri@gmail.com>
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 * 
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 * 
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */


package compid.report;

import compid.data.DAOException;
import net.aavalla.utils.jobpool.ParameterizedJob;

/**
 *
 * @author Lari Natri
 */
public abstract class Reporter<P extends ReporterParams> extends ParameterizedJob<ReportModel,P> {

    @Override
    protected ReportModel work(P p) throws Throwable {
        ReportModel report = this.createReport(p);
        //if (p.getDisplayResults()) {
            return report;
        //} else {
        //    return null;
        //}
    }

    protected abstract ReportModel createReport(P p) throws DAOException;

}
