/*
 * Copyright 2009 Lari Natri <lari.natri@gmail.com>
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 * 
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 * 
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */


package compid.report.exporters;

import net.aavalla.utils.jobpool.JobCategory;
import net.aavalla.utils.jobpool.JobPriority;
import net.aavalla.utils.jobpool.ParameterizedJob;


/**
 *
 * @author Lari Natri
 */
public abstract class Exporter extends ParameterizedJob<Object,ExporterParams> {

    public Exporter() {
        this.setPriority(JobPriority.IMMEDIATE);
    }

    /**
     * Should be overwritten in deriving classes. This method should do
     * the actual exporting of a report given as params.getReportModel();
     * @param params
     * @return
     */
    @Override
    protected abstract Object work(ExporterParams params);


}
