/*
 *  Copyright 2009 Lari Natri <lari.natri@gmail.com>.
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */



package net.aavalla.utils.general;

/**
 * Contains some methods to help casting
 * @author Lari Natri
 */
public class CastHelper {

    public static boolean isNumerical(Object o) {
        if (o instanceof Number) return true;
        String s = o.toString();
        try {
            Integer.parseInt(s);
            return true;
        } catch (NumberFormatException ex) {}
        try {
            Double.parseDouble(s);
            return true;
        } catch (NumberFormatException ex) {}

        return false;
    }

    public static boolean isInteger(Object o) {
        if (o instanceof Integer) return true;
        String s = o.toString();
        try {
            Integer.parseInt(s);
            return true;
        } catch (NumberFormatException ex) {}

        return false;
    }

}
