/*
 *  Copyright 2009 Lari Natri <lari.natri@gmail.com>.
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */


package net.aavalla.utils.general;

/**
 *
 * @author Lari Natri
 */
public final class NumberUtils {

    public static double max(double a, double b, double c) {
        if (a>b) {
            return c > a ? c : a;
        }
        return c > b ? c : b;
    }

    public static double max(double[] numbers) {
        double max = Double.NEGATIVE_INFINITY;
        for (int i=0; i<numbers.length; ++i) {
            if (numbers[i]>max) {
                max = numbers[i];
            }
        }
        return max;
    }

    public static int maxIdx(double[] numbers) {
        double max = Double.NEGATIVE_INFINITY;
        int maxIdx = 0;
        for (int i=0; i<numbers.length; ++i) {
            if (numbers[i]>max) {
                max = numbers[i];
                maxIdx = i;
            }
        }
        return maxIdx;
    }

}
