/*
 *  Copyright 2009 Lari Natri <lari.natri@gmail.com>.
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */



package net.aavalla.utils.general;

import java.security.SecureRandom;

/**
 *
 * @author Lari Natri
 */
public class Randomizer {

    private static final SecureRandom randomizer;

    static {
        randomizer = new SecureRandom();
    }
    
    /**
     * Returns a random integer between 0 (including) and parameter max
     * (excluding)
     * @param max roof
     * @return random integer number
     */
    public static synchronized int nextInt(int max) {
        return randomizer.nextInt(max);
    }
}
