/*
 *  Copyright 2010 Lari Natri <lari.natri@gmail.com>.
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package net.aavalla.utils.gui.docbrowser;

import java.net.URL;
import javax.swing.Icon;

/**
 *
 * @author Lari Natri <lari.natri@gmail.com>
 */
public final class PageInfo {

    private final URL url;
    private final String name;
    private final String id;
    private final Icon icon;

    public PageInfo(URL url, String name, String id, Icon icon) {
        this.url = url;
        this.name = name==null ? "" : name;
        if (id!=null && id.isEmpty()) {
            this.id = null;
        } else {
            this.id = id;
        }
        this.icon = icon;
    }

    public PageInfo(URL url, String name, String id) {
        this(url,name,id,null);
    }

    public PageInfo(URL url, String name) {
        this(url,name,null,null);
    }

    public String getName() { return this.name; }

    public URL getUrl() { return this.url; }

    public Icon getIcon() { return this.icon; }
}
