/*
 *  Copyright 2010 Lari Natri <lari.natri@gmail.com>.
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package net.aavalla.utils.gui.twovenn;

/**
 * Contains the data needed to actually draw a Venn diagram image
 * @author Lari Natri <lari.natri@gmail.com>
 */
public class VennDrawData {
    public final int canvasSizeX;
    public final int canvasSizeY;
    public final int aCenterX;
    public final int aCenterY;
    public final int aRadius;
    public final int bCenterX;
    public final int bCenterY;
    public final int bRadius;
    public final int aArCenterX;
    public final int aArCenterY;
    public final int bArCenterX;
    public final int bArCenterY;
    public final int abArCenterX;
    public final int abArCenterY;

    public VennDrawData(int canvasSizeX, int canvasSizeY,
                        int aCenterX, int aCenterY, int aRadius,
                        int bCenterX, int bCenterY, int bRadius,
                        int aArCenterX,  int aArCenterY,
                        int bArCenterX,  int bArCenterY,
                        int abArCenterX, int abArCenterY) {
        this.canvasSizeX = canvasSizeX;
        this.canvasSizeY = canvasSizeY;
        this.aCenterX = aCenterX;
        this.aCenterY = aCenterY;
        this.aRadius = aRadius;
        this.bCenterX = bCenterX;
        this.bCenterY = bCenterY;
        this.bRadius = bRadius;
        this.aArCenterX = aArCenterX;
        this.aArCenterY = aArCenterY;
        this.bArCenterX = bArCenterX;
        this.bArCenterY = bArCenterY;
        this.abArCenterX = abArCenterX;
        this.abArCenterY = abArCenterY;
    }
}

