/*
 *  Copyright 2010 Lari Natri <lari.natri@gmail.com>.
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package net.aavalla.utils.gui.twovenn;

import javax.swing.JFrame;
import javax.swing.SwingUtilities;

/**
 *
 * @author Lari Natri <lari.natri@gmail.com>
 */
public class VennStarter {


    public void test() {
        JFrame f = new JFrame();

        VennDiagram venn = new VennDiagram(new VennParameters());
        f.setTitle("Venn Diagram Creator");
        f.add(venn);
        f.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        f.setSize(600,500);
        f.setVisible(true);

    }

    public static void main(String[] args) {
        final VennStarter tester = new VennStarter();
        try {
            SwingUtilities.invokeAndWait(new Runnable() {
                public void run() {
                    tester.test();
                }
             });
        } catch (Exception ex) {
            System.err.println("Exception "+ex+" caught by main(): "+ex.getMessage());
        }
    }

}
