/*
 * Copyright 2010 Lari Natri <lari.natri@gmail.com>
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */


package net.aavalla.utils.jobpool;

/**
 * Represents a job's priority class. Highest priority jobs are always
 * started by JobPool before jobs with a lower priority. JobPool can be
 * set to force already running jobs with higher priority to end before
 * starting any lower priority jobs by calling method
 * JobPool.setBetterPriorityJobsMustEndFirst()
 * @author Lari Natri
 */
public enum JobPriority {
    // More priorities can be added, but their order must be from highest
    // priority to lowest. IMMEDIATE must be first.
    IMMEDIATE, // ordinal()=0
    HIGHEST,   // ordinal()=1 ...
    HIGHER,
    HIGH,
    NORMAL,
    LOW,
    LOWER,
    LOWEST
}
