/*
 * Copyright 2009 Lari Natri <lari.natri@gmail.com>
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */


package net.aavalla.utils.jobpool.parameters.gui;

import net.aavalla.utils.jobpool.parameters.FieldInstance;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import javax.swing.JCheckBox;

/**
 *
 * @author Lari Natri
 */
public class BooleanComponent extends ValueComponent<Boolean> implements ActionListener {

    private final JCheckBox booleanCheckBox = new JCheckBox();

    public BooleanComponent(FieldInstance field, boolean allowEdit) {
        super(field, allowEdit);

        this.booleanCheckBox.addActionListener(this);
        this.setFieldValue((Boolean)field.getValue()); // set default value
        this.booleanCheckBox.setToolTipText(this.getToolTipText());

        this.add(this.booleanCheckBox);
        this.booleanCheckBox.setEnabled(allowEdit);
//        this.setEnabled(allowEdit);
        this.validate();
    }

    @Override
    protected void updateUIWithValue(Boolean newValue) {
        this.booleanCheckBox.setSelected(newValue);
    }

    @Override
    public void actionPerformed(ActionEvent e) {
        this.setFieldValue(this.booleanCheckBox.isSelected());
    }



}
