/*
 * Copyright 2009 Lari Natri <lari.natri@gmail.com>
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */


package net.aavalla.utils.jobpool.parameters.validators;

import net.aavalla.utils.jobpool.parameters.*;

/**
 *
 * @author Lari Natri
 */
public class OutputFileValidator extends ParameterValidator<OutputFile> {

    public OutputFileValidator(FieldInstance field, String[] settings) {
        super(field, settings);
    }

    @Override
    public String uiValidationRules() {
        return "File must be writable";
    }

    @Override
    public String validate(OutputFile param) {
        if (param==null || param.getName().equals(""))
            return "Output file is not set";
        if (param.exists() && !param.canWrite())
            return "Output file is not writable";
        return null;
    }


}
